Bug 135670 - Colibre: Wrong icon for Square Bevel and Octagon Bevel
Summary: Colibre: Wrong icon for Square Bevel and Octagon Bevel
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2020-08-12 13:51 UTC by Rizal Muttaqin
Modified: 2020-08-13 07:22 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Wrong Square Bevel and Octagon Bevel icons in Colibre (14.09 KB, image/png)
2020-08-12 13:51 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-08-12 13:51:52 UTC
Created attachment 164210 [details]
Wrong Square Bevel and Octagon Bevel icons in Colibre

Step to reproduce

1. Open Draw,
2. Make sure icon theme is Colibre (Tools > Options > LibreOffice > Icon Style: Colibre
3. Click Shapes sidebar
4. In the Symbol Shapes, look at  Square Bevel and Octagon Bevel. 


Expected result
1. Icons looked like a bevel

Observed result
1. Icons looked like a plain square and octagon

Version: 7.1.0.0.alpha0+
Build ID: <buildversion>
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: id-ID
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-09_14:07:53
Calc: threaded
Comment 1 Commit Notification 2020-08-12 21:55:19 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d9f944ce9447ec86b3536c9fc8f6f8c6dd450a73

Colibre tdf#135670 Square Bevel and Octagon Bevel icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-08-13 00:16:52 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7cef0327736e84ac544b32567e9408e580b9e969

Colibre tdf#135670 Square Bevel and Octagon Bevel icons

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.